# ScanbotDocument class

## Constructors

ScanbotDocument.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

addPage(AddPageParams params) → Future<DocumentData>
  Add a new page to a document and return the updated document.
cloneDocument(String documentID) → Future<DocumentData>
  Clone a document by its ID.
createDocument(CreateDocumentParams params) → Future<DocumentData>
  Create a new document.
createDocumentFromLegacyPages(DocumentFromLegacyPagesParams params) → Future<DocumentData>
  Create a new document from legacy pages.
createDocumentFromPDF(String pdfUri) → Future<DocumentData>
  Create a new document from PDF file.
createPDFForDocument(PDFFromDocumentParams params) → Future<CreatePDFResult>
  Creates a PDF for the given document. Please check the extra options that are part of the input params to modify the created PDF file per your needs.
createTIFFForDocument(TIFFFromDocumentParams params) → Future<CreateTIFFResult>
  Creates a TIFF for the given document. Please check the extra options that are part of the input params to modify the created TIFF file per your needs.
deleteAllDocuments() → Future<void>
  Delete all documents.
deleteDocument(String documentID) → Future<void>
  Delete a document by its ID.
detectDocument(String imageUri) → Future<DetectDocumentResult>
  Detect document on image file path.
documentExists(String documentID) → Future<DocumentExistsResult>
  Check if a document with the given ID exists.
loadDocument(String documentID) → Future<DocumentData>
  Load a document by its ID.
modifyPage(ModifyPageParams params) → Future<DocumentData>
  Modify a page in a document and return the updated document.
movePage(MovePageParams params) → Future<DocumentData>
  Move a page in a document and return the updated document.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
removeAllPages(String documentID) → Future<DocumentData>
  Remove all pages from a document in one batch operation.
removePage(RemovePageParams params) → Future<DocumentData>
  Remove a page from a document.
removePagesByID(RemovePagesByIdsParams params) → Future<DocumentData>
  Delete all pages by ids for document.
storedDocumentIDs() → Future<StoredDocumentIDsResult>
  Gets all stored document IDs.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited